defaults = {
    'mariadb': {
        'databases': {
            'yourls': {
                'password': repo.vault.random_bytes_as_base64_for(f'{node.name} yourls DB', length=32).value,
            },
        },
    },
}


metadata_reactor.provides(
    'nginx/vhosts/yourls',
)
def nginx(metadata):
    return {
        'nginx': {
            'vhosts': {
                'yourls': {
                    'server_name': metadata.get('yourls/url'),
                    'php_version': metadata.get('php/version'),
                },
            },
        },
    }
